# eoScalarFitnessAssembledTraits Class Reference

Defines properties of eoScalarFitnessAssembled. More...

`#include <eoScalarFitnessAssembled.h>`

List of all members.

## Public Types

typedef std::vector< std::string >::size_type | size_type

## Static Public Member Functions

void | setDescription (size_type _idx, std::string _descr)
std::string | getDescription (size_type _idx)
void | resize (size_type _n, const std::string &_descr)
size_type | size ()
std::vector< std::string > | getDescriptionVector ()

## Static Private Attributes

std::vector< std::string > | TermDescriptions

## Detailed Description

Defines properties of eoScalarFitnessAssembled.

Properties that are hold in this traits class:

- std::vector<std::string> to hold descriptions of the different fitness terms

Definition at line 43 of file eoScalarFitnessAssembled.h.

The documentation for this class was generated from the following files:

- eoScalarFitnessAssembled.h
- eoScalarFitnessAssembled.cpp